org.springframework.cloud.dataflow.core

## Class TaskDeployment

- java.lang.Object
- - org.springframework.cloud.dataflow.core.AbstractEntity
  - - org.springframework.cloud.dataflow.core.TaskDeployment

-     @Entity
      public class TaskDeployment
      extends AbstractEntity

  Records the association of taskDeploymentId to the platfornName the task was launched on.
  Author:
    Mark Pollack

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskDeployment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Instant` | `getCreatedOn()`
    `String` | `getPlatformName()`
    `String` | `getTaskDefinitionName()`
    `String` | `getTaskDeploymentId()`
    `void` | `setCreatedOn(Instant createdOn)`
    `void` | `setPlatformName(String platformName)`
    `void` | `setTaskDefinitionName(String taskDefinitionName)`
    `void` | `setTaskDeploymentId(String taskDeploymentId)`
    `String` | `toString()`

    - ### Methods inherited from class org.springframework.cloud.dataflow.core.AbstractEntity

      `getId, getObjectVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskDeployment

          public TaskDeployment()

  - ### Method Detail

    - #### getTaskDeploymentId

          public String getTaskDeploymentId()

    - #### setTaskDeploymentId

          public void setTaskDeploymentId(String taskDeploymentId)

    - #### getPlatformName

          public String getPlatformName()

    - #### setPlatformName

          public void setPlatformName(String platformName)

    - #### getTaskDefinitionName

          public String getTaskDefinitionName()

    - #### setTaskDefinitionName

          public void setTaskDefinitionName(String taskDefinitionName)

    - #### getCreatedOn

          public Instant getCreatedOn()

    - #### setCreatedOn

          public void setCreatedOn(Instant createdOn)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.